
import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';

import '../../../router/page/auth_page_router.dart';
import '../vm/auth_login_view_model.dart';

@RoutePage()
class AuthLoginPage extends HookConsumerWidget {
  const AuthLoginPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const AuthLoginPageRoute());
    } else {
      appRouter.push(const AuthLoginPageRoute());
    }
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final _viewModel = ref.read(authLoginViewModelProvider.notifier);

    return Scaffold(
      appBar: AppBar(title: Text("登录")),
      body: Center(
        child: Text("用户登录页面"),
      ),
    );
  }
}
