import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';

import '../../../router/page/payment_page_router.dart';
import '../../payment/vm/payment_view_model.dart';

@RoutePage()
class PaymentPage extends HookConsumerWidget {
  const PaymentPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const PaymentPageRoute());
    } else {
      appRouter.push(const PaymentPageRoute());
    }
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final _viewModel = ref.read(paymentViewModelProvider.notifier);

    return Scaffold(
      appBar: AppBar(title: Text("支付")),
      body: Center(
        child: Text("支付的主页面"),
      ),
    );
  }
}
